Subject: Re: [RFC 06/11 v2] fast-import: Add support for importing commit notes

From: Johan Herland <[email-masked]>
Date: Thu, 30 Jul 2009 02:29:13 +0200

On Wednesday 29 July 2009, Junio C Hamano wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> >> > We recently hit a similar unintended limitation that we regret in
> >> > the fast-import language, didn't we?
> >>
> >> I don't know. Must have slipped past my mailbox.
> >
> > I remember something being raised, but I can't remember exactly
> > what it was either.
>
> Exporting a tag that points at a non commit was what I had in mind.
>
> > tag, there might be arguments for tagging trees, e.g. so you can
> > export the linux kernel repository with `git fast-export` and reload
> > it with fast-import.  But that's unrelated to this change.
> >
> > See above about notes.
>
> I think we are in agreement then.  Good.

We do? on what? That 'notemodify' should work on <committish> + <tag 
object>? Or that 'notemodify' should work on <any object>?

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net